10.5 Not supported anymore

Mac Technical Support
Well i bought SC2 for 60 Dollars a few weeks ago and come to find out, sc2 is no longer able to run on a mac 10.5, is this temporary or did i just get scammed for 60 dollars?
11/15/2012 01:29 PMPosted by sgswagsohard
Well i bought SC2 for 60 Dollars a few weeks ago and come to find out, sc2 is no longer able to run on a mac 10.5, is this temporary or did i just get scammed for 60 dollars?

if your mac meets the specs for SC2 it also meets specs for 10.6. You can get 10.6 from apple. Refer to article
https://us.battle.net/support/en/article/mac-software-updates-software-upgrades

and

https://us.battle.net/support/en/article/mac-os-x-support
10.5 isn't supported for SC2 after the 1.5 update, which happened a few months ago.

You may want to go back to the point of sale if you wish to get a refund, or upgrade as Omegal suggested. As newer OS's come out, system requirements can change, so it is recommended to strive to be at the newest OS.
________________________________________________
Mac Technical || Sun – Thur, 11 AM – 8 PM CST
Need 1x1 help? https://battle.net/support/article/contact
Rwlrlwrlwrl wrlrwl rwlwrlw rlwrlwrlwr wlrwlwr grglblrglglr? Wrwlrwl rarwlwrlwr grgrblgr!

Join the Conversation

Return to Forum